%bcond_with bootstrap

Name:           osgi-annotation
Version:        8.1.0
Release:        %mkrel 1
Group:          Development/Java
Summary:        Annotations for use in compiling OSGi bundles
License:        Apache-2.0
URL:            https://www.osgi.org
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

# Upstream project is behind an account registration system with no anonymous
# read access, so we download the source from maven central instead
Source0:        https://repo1.maven.org/maven2/org/osgi/osgi.annotation/%{version}/osgi.annotation-%{version}.jar
Source1:        https://repo1.maven.org/maven2/org/osgi/osgi.annotation/%{version}/osgi.annotation-%{version}.pom

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
%endif

%description
Annotations for use in compiling OSGi bundles. This package is not normally
needed at run-time.

%package javadoc
Summary: API documentation for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -c -q

mkdir -p src/main/java && mv OSGI-OPT/src/org src/main/java

rm -r org OSGI-OPT

cp -p %{SOURCE1} pom.xml

# Ensure OSGi metadata is generated
%pom_xpath_inject pom:project "
  <packaging>bundle</packaging>
  <build>
    <plugins>
      <plugin>
        <groupId>org.apache.felix</groupId>
        <artifactId>maven-bundle-plugin</artifactId>
        <extensions>true</extensions>
        <configuration>
          <instructions>
            <Bundle-Name>\${project.artifactId}</Bundle-Name>
            <Bundle-SymbolicName>\${project.artifactId}</Bundle-SymbolicName>
          </instructions>
        </configuration>
      </plugin>
    </plugins>
  </build>"

# Known by two names in maven central, so add an alias for the older name
%mvn_alias org.osgi:osgi.annotation org.osgi:org.osgi.annotation

%build
%mvn_build -- -Dmaven.compiler.source=1.8 -Dmaven.compiler.target=1.8

%install
%mvn_install

%files -f .mfiles
%license META-INF/LICENSE META-INF/NOTICE

%files javadoc -f .mfiles-javadoc
%license META-INF/LICENSE META-INF/NOTICE


%changelog
* Sat May 25 2024 daviddavid <daviddavid> 8.1.0-1.mga10
+ Revision: 2067605
- Update to upstream version 8.1.0
- Update Java source/target to 1.8
- Rebuilt for java-21-openjdk as system jdk

* Mon Jul 25 2022 neoclust <neoclust> 8.0.1-2.mga9
+ Revision: 1871098
- Disable bootstrap

* Sun Jul 24 2022 neoclust <neoclust> 8.0.1-1.mga9
+ Revision: 1870834
- New version 8.0.1
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 7.0.0-2.mga8
+ Revision: 1527514
- Mageia 8 Mass Rebuild

* Wed Jul 17 2019 daviddavid <daviddavid> 7.0.0-1.mga8
+ Revision: 1422211
- Update to upstream version 7.0.0

* Wed Sep 19 2018 umeabot <umeabot> 6.0.0-6.mga7
+ Revision: 1265515
- Mageia 7 Mass Rebuild

* Thu May 18 2017 neoclust <neoclust> 6.0.0-5.mga6
+ Revision: 1102877
- Regenerate build-requires
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 6.0.0-3.mga6
+ Revision: 977747
- First rebuild of the java stack
- sync package osgi-annotation with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Feb 10 2015 pterjan <pterjan> 6.0.0-1.mga5
+ Revision: 814624
- imported package osgi-annotation


* Mon Jan 26 2015 Mat Booth <mat.booth@redhat.com> - 6.0.0-1
- Initial package
